# Class: Typhoeus::Response — Documentation by YARD 0.8.6.1

Class List Method List File List

# Class: Typhoeus::Response

Inherits:
  Object
  - Object
  - Typhoeus::Response
  show all
Defined in:
  lib/common/hacks.rb

## Instance Method Summary (collapse)

- - (Boolean) has_valid_hash?(error_404_hash, homepage_hash)

  Compare the body hash to error_404_hash and homepage_hash returns true if they are different, false otherwise.

## Instance Method Details

### - (`Boolean`) has_valid_hash?(error_404_hash, homepage_hash)

Compare the body hash to error_404_hash and homepage_hash returns true if they are different, false otherwise

Returns:

- (`Boolean`)

    41
    42
    43
    44
    45

    # File 'lib/common/hacks.rb', line 41

    def has_valid_hash?(error_404_hash, homepage_hash)
      body_hash = WebSite.page_hash(self)

      body_hash != error_404_hash && body_hash != homepage_hash
    end